Bug 145120 - kernel-2.6.10-1.8_FC2 broke sound
kernel-2.6.10-1.8_FC2 broke sound
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
http://www.fedoraforum.org/forum/show...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-14 10:52 EST by Jeff
Modified: 2015-01-04 17:15 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:47:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff 2005-01-14 10:52:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040913

Description of problem:
After upgrading to kernel-2.6.10-1.8_FC2, sound no longer works.

Version-Release number of selected component (if applicable):
kernel-2.6.10-1.8_FC2

How reproducible:
Always

Steps to Reproduce:
1. Upgrade to kernel-2.6.10-1.8_FC2 via yum
2. Reboot
3. Try to play audio using 'play' or 'xmms'
    

Actual Results:  Silence

Expected Results:  Rock'n'roll

Additional info:

I've seen this problem in two FC2 systems, here is the sound card info
for both systems from lspci:

System 1 (Dell Dimension 8200)
02:0a.0 Multimedia audio controller: Cirrus Logic CS 4614/22/24
[CrystalClear SoundFusion Audio Accelerator] (rev 01)

System 2 (Tyan Tiger 133 running SMP kernel)
00:13.0 Multimedia audio controller: Creative Labs SB Live! EMU10k1
(rev 07)

The work-around is to just boot an older kernel.
Comment 1 Jeff 2005-01-15 01:24:33 EST
Oops my bad, the Creative Labs SB Live! EMU10k1 is working. I'll try
to get my hands on another Cirrus system for further testing.
Comment 2 Kevin Gottsman 2005-01-15 01:42:01 EST
I can reproduce the problem on my FC3 system as well.

Bad kernels:
kernel-2.6.10-1.737_FC3
kernel-2.6.10-1.741_FC3

Working kernels:
kernel-2.6.9-1.681_FC3
kernel-2.6.9-1.667

Hardware Info:
00:1f.5 Multimedia audio controller: Intel Corp. 82801DB/DBL/DBM
(ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller (rev 01)
Comment 3 Kevin Gottsman 2005-01-15 17:19:31 EST
I found another user at Fedoraforum.org with the same problem. Both of
us have the AC '97 audio controller and both seem to have problems
with snd_intel8x0 and snd_intel8x0m module. Audio seems to be working
fine with no errors but no real sound output.

The solution to my problem was to mute the headphone jack sensor with
alsamixer. His was to mute the external amplifier.

Temporary Fedoraforum.org link (I guess they are moving servers today) : 
http://servx.fedoraforum.org/~fedorafo/forum/showthread.php?p=153470#post153470
Comment 4 Miloš Komarčević 2005-01-17 05:19:57 EST
This is probably a dupe?

Cirrus Logic issue is bug #144767

snd_intel8x0 issue seems to be unrelated bug #144742
Comment 5 Pontus Enhager 2005-01-17 15:21:28 EST
i see this on FC3
Comment 6 Oliver Jones 2005-01-23 22:57:20 EST
I see something similar to this on Fedora Core 3 with kernel
2.6.10-1.741_FC3.  

I have a HP nx7010 with an Intel AC97 codec (Analog Devices AD1981B).

lspci output:

00:1f.5 Multimedia audio controller: Intel Corp. 82801DB/DBL/DBM
(ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller (rev 01)
00:1f.6 Modem: Intel Corp. 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97
Modem Controller (rev 01)

With the latest kernel installed via yum I can only get audio output
on the headphone jack of my laptop.  The internal JBL speakers do not
make a peep.

Interestingly the Gnome Mixer (and alsamixer) don't adjust the
headphone volume when I twiddle with the value of the "headphone" slider. 

The external amplifier slider doesn't exist but the "mute" check box
makes the mute LED on the laptop light up.

On older kernels the speakers worked fine and so did the headphones. 
The speakers would shut down when I inserted the headphone.  I haven't
done any comparisons in mixer behaviour though.  My solution to the
problem has been to stick to using kernel 2.6.9-1.681_FC3.  But I'd
like to use 2.6.10 if I could as it has new bits and bobs that might
make getting other hardware in the nx7010 to work easier.
Comment 7 Dave Jones 2005-04-16 00:47:21 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.